import '../../injector';
import { Codec } from '../../types';
/**
 * Given the static `rpcData` and the `staticSubstrate` JSON file, Metadata
 * should decode `rpcData` and output `staticSubstrate`.
 */
export declare function decodeLatestSubstrate<Modules extends Codec>(version: number, rpcData: string, staticSubstrate: object): void;
/**
 * Given a `version`, MetadataLatest and MetadataV{version} should output the same
 * unique types.
 */
export declare function toLatest<Modules extends Codec>(version: number, rpcData: string): void;
/**
 * Given a Metadata, no type should throw when given its fallback value.
 */
export declare function defaultValues(rpcData: string): void;
