import { Codec, Constructor, RegistryTypes } from '../../types';
export declare class TypeRegistry {
    static readonly defaultRegistry: TypeRegistry;
    private _classes;
    private _definitions;
    register(type: Constructor | RegistryTypes): void;
    register(name: string, type: Constructor): void;
    private registerObject;
    get<T extends Codec = Codec>(name: string): Constructor<T> | undefined;
    getDefinition(name: string): string | undefined;
    getOrThrow<T extends Codec = Codec>(name: string, msg?: string): Constructor<T>;
    hasClass(name: string): boolean;
    hasDef(name: string): boolean;
    hasType(name: string): boolean;
}
export declare function getTypeRegistry(): TypeRegistry;
